# Table of contents

* [What is Featureform](overview.md)
* [Quickstart (Local)](quickstart-local.md)
* [Quickstart (Kubernetes)](quickstart-kubernetes.md)
* [Quickstart (Google Cloud)](quickstart-gcp.md)

## Reference

* [Python SDK](https://sdk.featureform.com)

## Getting Started

* [Overview](getting-started/overview.md)
* [Registering Infrastructure Providers](getting-started/registering-infrastructure-providers.md)
* [Transforming Data](getting-started/transforming-data.md)
* [Defining Features, Labels, and Training Sets](getting-started/defining-features-labels-and-training-sets.md)
* [Serving for Inference and Training](getting-started/serving-for-inference-and-training.md)
* [Interact with the CLI](getting-started/interact-with-the-cli.md)
* [Exploring the Feature Registry](getting-started/exploring-the-feature-registry.md)

## Providers

* [BigQuery](providers/bigquery.md)
* [Cassandra](providers/cassandra.md)
* [DynamoDB](providers/dynamodb.md)
* [Firestore](providers/firestore.md)
* [Postgres](providers/postgres.md)
* [Redis](providers/redis.md)
* [Snowflake](providers/snowflake.md)
* [Spark](providers/spark.md)


## Deployment

* [Minikube](deployment/minikube.md)
* [Kubernetes](deployment/kubernetes.md)
* [AWS](deployment/aws.md)
* [Local Mode](deployment/local-mode.md)

***

* [System Architecture](system-architecture.md)
